Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158217 - [PATCH] pciutils: enable PCI_HAVE_64BIT_ADDRESS for x86_64
Summary: [PATCH] pciutils: enable PCI_HAVE_64BIT_ADDRESS for x86_64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pciutils
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 17:26 UTC by Matt Domsch
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version: 2.1.99.test8-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 19:54:09 UTC


Attachments (Terms of Use)

Description Matt Domsch 2005-05-19 17:26:53 UTC
Description of problem:
Date: Thu, 19 May 2005 12:09:12 -0500
From: Matt Domsch <Matt_Domsch@dell.com>
To: linux-pci@atrey.karlin.mff.cuni.cz, ak@suse.de
Subject: [PATCH] pciutils: enable PCI_HAVE_64BIT_ADDRESS for x86_64

I'm not sure why x86_64 isn't included in the list of architectures
for which PCI_HAVE_64BIT_ADDRESS is defined.  Looking at RHEL4 and
FC4-devel, neither set it.  This causes libpci to emit warning
messages to stdout such as:

pcilib: Resource 5 in /sys/bus/pci/devices/0000:00:1f.1/resource has a
64-bit address, ignoring

Changing this has consequences on all applications linked against
libpci, as the size of pciaddr_t will change (exported in
/usr/include/pci/types.h) so this is only safe to do in development
releases where the rest of the world is getting built too, not to
backport onto already-released products.

Thoughts?

Thanks,
Matt

--
Matt Domsch
Software Architect
Dell Linux Solutions linux.dell.com & www.dell.com/linux
Linux on Dell mailing lists @ http://lists.us.dell.com


--- pciutils-2.1.99-test8/lib/configure.pciids.orig     2005-05-19
11:53:11.000000000 -0500
+++ pciutils-2.1.99-test8/lib/configure.pciids  2005-05-19 11:53:27.000000000 -0500
@@ -52,7 +52,7 @@ case $sys in
                                                echo >>$c '#define
PCI_HAVE_PM_INTEL_CONF'
                                                ok=1
                                                ;;
-                               alpha|ia64|sparc|sparc64|ppc|ppc64)
+                               alpha|ia64|sparc|sparc64|ppc|ppc64|x86_64)
                                                echo >>$c '#define
PCI_HAVE_64BIT_ADDRESS'
                                                ;;
                esac

Comment 1 Bill Nottingham 2005-05-19 19:54:09 UTC
Added in -10.


Note You need to log in before you can comment on or make changes to this bug.